title: OCR Invoices Pre-NER BIO Format
type: community
group: Community Contributions
image: /static/templates/community-contributions/ocr-invoices-pre-ner-bio-format.jpg
details: <h1>OCR Invoices Pre-NER BIO Format</h1>
source_repo: https://github.com/humanSignal/awesome-label-studio-config/tree/main/label-configs/ocr-invoices-pre-ner-bio-format
config: |
  <View>
  <!-- Template sourced from awesome-label-studio-config repository: https://github.com/humanSignal/awesome-label-studio-config/tree/main/label-configs/ocr-invoices-pre-ner-bio-format -->
  
    <!-- The image to annotate -->
    <Image name="image" value="$image" zoomControl="true"/>
  
    <!-- Bounding-box control that will receive the "rectanglelabels" results
         coming from your OCR model (from_name = "label") -->
    <RectangleLabels name="label" toName="image" choice="single">
      <!-- You only emit the generic "O" class, but feel free to add more labels -->
      <Label value="O" background="#FFA500"/>
    </RectangleLabels>
  
    <!-- Per-region transcription box (from_name = "transcription").
         Because perRegion="true", one TextArea is linked to each rectangle. -->
    <TextArea name="transcription"
              toName="image"
              perRegion="true"
              editable="true"
              rows="1"
              required="true"
              placeholder="Type or correct OCR text…"/>
  </View>
  
  <!-- {
    "data": {
      "image": "https://raw.githubusercontent.com/HumanSignal/awesome-label-studio-configs/main/label-configs/ocr-invoices-pre-ner-bio-format/assets/restaurant-receipt-mockup.png"
    }
  }
  -->
